Subject: Re: bug#13636: 24.3.50; tramp+ftp broken

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 06 Feb 2013 20:21:57 +0100

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi Michael,
>
> Hi Thierry,
>
>>> What happens, if you move your ~/.netrc away (temporarily)?
>> It is working when I remove .netrc
>> (file-remote-p "/ftp:mafreebox.freebox.fr:")
>> => "/ftp:mafreebox.freebox.fr:"
>>
>> Here the entry in .netrc:
>>
>> machine mafreebox.freebox.fr login freebox password xxxxx
>
> With that entry in .netrc, I'm able to reproduce the problem. No need
> for you to collect further information; I will debug it.
Ok thanks, I give you anyway the output of xbacktrace as Eli asked:

--8<---------------cut here---------------start------------->8---
(gdb) break wrong_type_argument
Breakpoint 3 at 0x532210: file data.c, line 91.
(gdb) run -Q
Starting program: /home/thierry/tmp/emacs-savanah-git/src/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffeea50700 (LWP 300)]
[New Thread 0x7fffee24f700 (LWP 301)]

Breakpoint 3, wrong_type_argument (predicate=12059346, value=12006466) at data.c:91
91      {
(gdb) xbacktrace
"byte-code" (0xffffa740)
"eieio-defclass" (0xffffabe0)
"byte-code" (0xffffad50)
"byte-code" (0xffffae40)
"require" (0xffffb2a0)
"byte-code" (0xffffb3c0)
"require" (0xffffb7f0)
"byte-code" (0xffffb960)
"byte-code" (0xffffba50)
"require" (0xffffbeb0)
"byte-code" (0xffffbfd0)
"tramp-file-name-handler" (0xffffc3f0)
"file-remote-p" (0xffffc5d8)
"apply" (0xffffc690)
"let*" (0xffffc8a0)
"tramp-completion-run-real-handler" (0xffffc970)
"if" (0xffffcba0)
"let" (0xffffcd30)
"tramp-completion-file-name-handler" (0xffffceb0)
"file-remote-p" (0xffffcff0)
"eval" (0xffffd258)
"eval-last-sexp-1" (0xffffd430)
"eval-last-sexp" (0xffffd648)
"call-interactively" (0xffffd818)
(gdb) 
--8<---------------cut here---------------end--------------->8---

> Best regards, Michael.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997